IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_CONNECT_MONITOR')
CREATE TABLE T_RECEIPT_CONNECT_MONITOR (
    FID              BIGINT                  NOT NULL
    PRIMARY KEY,
  FNUMBER VARCHAR(30) NOT NULL DEFAULT ' ',
  FNAME VARCHAR(50) NOT NULL DEFAULT ' ',
  FSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
  FCREATORID BIGINT DEFAULT 0,
  FMODIFIERID BIGINT DEFAULT 0,
  FENABLE VARCHAR(50) NOT NULL DEFAULT ' ',
  FCREATETIME DATETIME  NULL,
  FMODIFYTIME DATETIME  NULL,
  FMASTERID BIGINT DEFAULT 0,
  FRECEIPT_WAY VARCHAR(50) NOT NULL DEFAULT ' ',
  FIP VARCHAR(255) NOT NULL DEFAULT ' ',
  FPORT VARCHAR(50) NOT NULL DEFAULT ' ',
  FUSER VARCHAR(255) NOT NULL DEFAULT ' ',
  FPASSWORD VARCHAR(255) NOT NULL DEFAULT ' ',
  FMONITOR_STATUS VARCHAR(50) NOT NULL DEFAULT ' ',
  FERROR_MSG VARCHAR(512) NOT NULL DEFAULT ' ',
  FPRIVATE_CERT_PATH VARCHAR(255) NOT NULL DEFAULT ' ',
  FMONITOR_TIME DATETIME  NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_CONNECT_MONITOR_L')
CREATE TABLE T_RECEIPT_CONNECT_MONITOR_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);


