-- 初始化回单调度类 --
DELETE FROM t_sch_taskdefine WHERE FAPPID='receipt' AND FID IN ('1NFKTA5XQQJL','1QYT=LCLG1RX');
INSERT INTO t_sch_taskdefine (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('1NFKTA5XQQJL', 'kd.ebg.receipt.business.receipt.schedule.ReceiptScheduleJob', 'ebg_receipt_task', 'receipt');
INSERT INTO t_sch_taskdefine (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('1QYT=LCLG1RX', 'kd.ebg.receipt.business.receipt.schedule.ReceiptUploadScheduleJob', 'ebg_receipt_upload', 'receipt');

DELETE FROM t_sch_taskdefine_l WHERE FID IN ('1NFKTA5XQQJL','1QYT=LCLG1RX');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFKTA5XQPWB', '1NFKTA5XQQJL', 'zh_CN', '回单下载调度');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFKTA5XQPWC', '1NFKTA5XQQJL', 'zh_TW', '回單下載調度');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYT=LCLG2F5', '1QYT=LCLG1RX', 'zh_CN', '回单上传');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYT=LCLG2F6', '1QYT=LCLG1RX', 'zh_TW', '回單上傳');

-- 初始化回单任务调度 --
DELETE FROM t_sch_job WHERE FTASKDEFINEID IN ('1NFKTA5XQQJL','1QYT=LCLG1RX');
DELETE FROM t_sch_job WHERE FID IN ('1NFLC7XO/J96','1QYVSUF890AA');
INSERT INTO t_sch_job (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT) VALUES ('1NFLC7XO/J96', 'BIZ', 'kd.ebgcloud.bos.receipt.schedule.ReceiptScheduleJob', 0, ' ', 'receipt_download_job_SKDJ_S', '1NFKTA5XQQJL', '1', 0, 0, 'zh_CN', '1');
INSERT INTO t_sch_job (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT) VALUES ('1QYVSUF890AA', 'BIZ', 'kd.ebg.receipt.business.receipt.schedule.ReceiptUploadScheduleJob', 0, ' ', 'receipt_upload_job_SKDJ_S', '1QYT=LCLG1RX', '1', 0, 0, 'zh_CN', '1');

DELETE FROM t_sch_job_l WHERE FID IN ('1NFLC7XO/J96','1QYVSUF890AA');
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFLC7XO/IKY', '1NFLC7XO/J96', 'zh_CN', '回单调度');
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFLC7XO/IKZ', '1NFLC7XO/J96', 'zh_TW', '回單調度');
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYVSUF891+K', '1QYVSUF890AA', 'zh_CN', '回单上传作业');
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYVSUF891+L', '1QYVSUF890AA', 'zh_TW', '回單上傳作業');

-- 初始化回单计划 --
DELETE FROM t_sch_schedule WHERE FJOBID IN ('1NFLC7XO/J96','1QYVSUF890AA');
INSERT INTO t_sch_schedule (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('1NFLGIBZING5', '1NFLC7XO/J96', {ts'2021-01-01 00:00:00'}, {ts'2099-12-31 23:59:59'}, '0 0 6/1 * * ?', 'receipt_download_plan_SKDP_S', '1', 'def', 1, '127.0.0.1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-01-01 00:00:00起，

预计最近十次执行时间：
2021-01-01 06:00:00,
2021-01-01 07:00:00,
2021-01-01 08:00:00,
2021-01-01 09:00:00,
2021-01-01 10:00:00,
2021-01-01 11:00:00,
2021-01-01 12:00:00,
2021-01-01 13:00:00,
2021-01-01 14:00:00,
2021-01-01 15:00:00');
INSERT INTO t_sch_schedule (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('1QYWONC56TLE', '1QYVSUF890AA', {ts'2021-01-01 00:00:00'}, {ts'2099-12-31 23:59:59'}, '0 0 7/1 * * ?', 'receipt_upload_plan_SKDP_S', '1', 'def', 5, '127.0.0.1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-01-01 00:00:00起，

预计最近十次执行时间：
2021-01-01 07:00:00,
2021-01-01 08:00:00,
2021-01-01 09:00:00,
2021-01-01 10:00:00,
2021-01-01 11:00:00,
2021-01-01 12:00:00,
2021-01-01 13:00:00,
2021-01-01 14:00:00,
2021-01-01 15:00:00,
2021-01-01 16:00:00');

DELETE FROM t_sch_schedule_l WHERE FID IN ('1NFLGIBZING5','1QYWONC56TLE');
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFLGIBZIMSX', '1NFLGIBZING5', 'zh_CN', '回单调度');
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1NFLGIBZIMSY', '1NFLGIBZING5', 'zh_TW', '回單調度');
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYWONC56U9O', '1QYWONC56TLE', 'zh_CN', '回单上传计划');
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('1QYWONC56U9P', '1QYWONC56TLE', 'zh_TW', '回單上傳計劃');