-- 初始化对账单调度类 --
DELETE FROM T_SCH_TASKDEFINE WHERE FAPPID='receipt' AND FID IN ('2ITVWP1OV6Q9','2IU8A6+OJS98');
INSERT INTO T_SCH_TASKDEFINE(FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('2ITVWP1OV6Q9', 'kd.ebg.receipt.business.receipt.schedule.ReconciliationScheduleJob', 'ebg_ReconciliationTask', 'receipt');
INSERT INTO T_SCH_TASKDEFINE(FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('2IU8A6+OJS98', 'kd.ebg.receipt.business.receipt.schedule.ReconciliationUploadScheduleJob', 'ebg_ReconciliationUploadTask', 'receipt');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID IN ('2ITVWP1OV6Q9','2IU8A6+OJS98');
INSERT INTO T_SCH_TASKDEFINE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2ITVWP1OV7DI', '2ITVWP1OV6Q9', 'zh_CN', '对账单下载调度');
INSERT INTO T_SCH_TASKDEFINE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2ITVWP1OV7DJ', '2ITVWP1OV6Q9', 'zh_TW', '對賬單下載調度');
INSERT INTO T_SCH_TASKDEFINE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IU8A6+OJSYH', '2IU8A6+OJS98', 'zh_CN', '对账单上传调度');
INSERT INTO T_SCH_TASKDEFINE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IU8A6+OJSYI', '2IU8A6+OJS98', 'zh_TW', '對賬單上傳調度');

-- 初始化对账单任务调度 --
DELETE FROM T_SCH_JOB WHERE FTASKDEFINEID IN ('2ITVWP1OV6Q9','2IU8A6+OJS98');
DELETE FROM T_SCH_JOB WHERE FID IN ('2IULDHTBTIRK','2IULI++OC791');
INSERT INTO T_SCH_JOB(FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME, FCANSTOP) VALUES ('2IULDHTBTIRK', 'BIZ', 'kd.ebg.receipt.business.receipt.schedule.ReconciliationScheduleJob', 1301603506083333120, '{}', 'receipt_ebg_reconciDownloadTask_SKDJ_S', '2ITVWP1OV6Q9', '1', 0, 0, ' ', '0', '0', '1', 0, '0');
INSERT INTO T_SCH_JOB(FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME, FCANSTOP) VALUES ('2IULI++OC791', 'BIZ', 'kd.ebg.receipt.business.receipt.schedule.ReconciliationUploadScheduleJob', 1301603506083333120, '{}', 'receipt_reconciliationUploadTask_SKDJ_S', '2IU8A6+OJS98', '1', 0, 0, ' ', '0', '0', '1', 0, '0');

DELETE FROM T_SCH_JOB_L WHERE FID IN ('2IULDHTBTIRK','2IULI++OC791');
INSERT INTO T_SCH_JOB_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULDHTBTI2A', '2IULDHTBTIRK', 'zh_CN', '对账单下载调度作业');
INSERT INTO T_SCH_JOB_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULDHTBTI2B', '2IULDHTBTIRK', 'zh_TW', '對賬單下載調度作業');
INSERT INTO T_SCH_JOB_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULI++OC7YA', '2IULI++OC791', 'zh_CN', '对账单上传调度作业');
INSERT INTO T_SCH_JOB_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULI++OC7YB', '2IULI++OC791', 'zh_TW', '對賬單上傳調度作業');
-- 初始化对账单计划 --
DELETE FROM T_SCH_SCHEDULE WHERE FJOBID IN ('2IULDHTBTIRK','2IULI++OC791');
INSERT INTO T_SCH_SCHEDULE(FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('2IULPR++7W=6', '2IULDHTBTIRK',  {ts'2022-06-21 16:21:57'},  {ts'2099-12-21 23:21:57'}, '0 0 9,10 2 * ?', 'receipt_reconciliationDownload_SKDP_S', '1', 'm', 1, '172.17.55.60', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-06-21 16:21:57起，
每1月的2日9时,10时重复。
预计最近十次执行时间：
2022-07-02 09:21:00,
2022-07-02 10:21:00,
2022-08-02 09:21:00,
2022-08-02 10:21:00,
2022-09-02 09:21:00,
2022-09-02 10:21:00,
2022-10-02 09:21:00,
2022-10-02 10:21:00,
2022-11-02 09:21:00,
2022-11-02 10:21:00');
INSERT INTO T_SCH_SCHEDULE(FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('2IULX7Z3B+EW', '2IULI++OC791',  {ts'2022-06-21 16:24:22'},  {ts'2099-12-21 22:00:00'}, '0 0 10/1 * * ?', 'reconciliationUpload', '1', 'def', 1, '172.17.55.60', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-06-21 16:24:22起，

预计最近十次执行时间：
2022-06-21 17:00:00,
2022-06-21 18:00:00,
2022-06-21 19:00:00,
2022-06-21 20:00:00,
2022-06-21 21:00:00,
2022-06-21 22:00:00,
2022-06-21 23:00:00,
2022-06-22 10:00:00,
2022-06-22 11:00:00,
2022-06-22 12:00:00');

DELETE FROM T_SCH_SCHEDULE_L WHERE FID IN ('2IULPR++7W=6','2IULX7Z3B+EW');
INSERT INTO T_SCH_SCHEDULE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULPR++7VLY', '2IULPR++7W=6', 'zh_CN', '对账单下载调度');
INSERT INTO T_SCH_SCHEDULE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULPR++7VLZ', '2IULPR++7W=6', 'zh_TW', '對賬單下載調度');
INSERT INTO T_SCH_SCHEDULE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULX7Z3AZRM', '2IULX7Z3B+EW', 'zh_CN', '对账单上传调度');
INSERT INTO T_SCH_SCHEDULE_L(FPKID, FID, FLOCALEID, FNAME) VALUES ('2IULX7Z3AZRN', '2IULX7Z3B+EW', 'zh_TW', '對賬單上傳調度');